package com.caimei365.user;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;


/**
 * `@EnableEurekaClient`: 声明一个Eureka客户端，只能注册到Eureka Server
 * `@EnableDiscoveryClient`: 声明一个可以被发现的客户端，可以是其他注册中心
 *
 * @author : Charles
 * @date : 2021/2/22
 */
@EnableDiscoveryClient
@SpringBootApplication
@EnableFeignClients(basePackages = {"com.caimei365.user.feign"})
public class UserApplication {

    public static void main(String[] args) {
        SpringApplication.run(UserApplication.class, args);
    }

}
