package com.caimei365.user.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/3/8
 */
@Data
public class OperationVo implements Serializable {
    /**
     * 运营人员Id
     */
    private Integer id;
    /**
     * 用户ID
     */
    private Integer userId;
    /**
     * 用户类型，1:机构类型，2供应商类型
     */
    private Integer userType;
    /**
     * 组织Id
     */
    private Integer organizeId;
    /**
     * 会所ID：隶属于哪个会所的运营人员
     */
    private Integer clubId;
    /**
     * 供应商ID：隶属于哪个供应商的运营人员[用户类型为供应商时有效数据]
     */
    private Integer shopId;
    /**
     * 运营人账号名【产品预留字段暂时不启用】
     */
    private String account;
    /**
     * 手机号码
     */
    private String mobile;
    /**
     * 邀请码
     */
    private String invitationCode;
    /**
     * 邀请码生成时间（此时间起48小时有效）
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date invitationCodeTime;
    /**
     * 微信昵称
     */
    private String nickName;
    /**
     * 微信头像(headimgurl)
     */
    private String avatarUrl;
    /**
     * 联系人，对应用户的userName
     */
    private String linkName;
    /**
     * 1未绑定，2已绑定
     */
    private Integer status;
    /**
     * token
     */
    private String token;
    /**
     * 微信unionId
     */
    private String unionId;
    /**
     * 微信openId
     */
    private String openId;
    /**
     * 微信openId(Pc)
     */
    private String pcOpenId;
    /**
     * 添加时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date addTime;
    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;
    /**
     * 绑定时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date bindTime;
    /**
     * 用户状态，0 有效  其它无效
     */
    private Integer delFlag;
    /**
     * 邀请码是否有效 1有效，2已使用，3已失效
     */
    private Integer effectiveFlag;
    /**
     * 邀请码剩余天数
     */
    private Integer effectiveDays;
    /**
     * 确认标志
     */
    private String configFlag;
}
