package com.caimei365.user.service;

import com.caimei365.user.model.ResponseJson;
import com.caimei365.user.model.dto.OperationDto;
import com.caimei365.user.model.vo.OperationVo;
import com.caimei365.user.model.vo.PaginationVo;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/4/19
 */
public interface OperationService {
    /**
     * 添加运营人员
     * @param operationDto {
     *                         mobile    手机号
     *                         linkName  姓名
     *                         userId    用户Id(userID)
     *                         clubId    机构Id
     *                         shopId    供应商Id
     *                         configFlag 确认标志
     *                     }
     */
    ResponseJson addOperation(OperationDto operationDto);
    /**
     * 更新邀请码
     * @param operationDto {
     *                         id        运营人员Id
     *                     }
     */
    ResponseJson updateInvitationCode(OperationDto operationDto);
    /**
     * 删除运营人员(解绑)
     * @param operationDto {
     *                         id        运营人员Id
     *                     }
     */
    ResponseJson unbindOperation(OperationDto operationDto);
    /**
     * 获取运营人员列表
     * @param operationDto {
     *                         mobile    手机号
     *                         linkName  姓名
     *                         userId    用户Id(userID)
     *                     }
     */
    ResponseJson<PaginationVo<OperationVo>> getOperationList(OperationDto operationDto, int pageNum, int pageSize);
}
