package com.caimei365.user.utils;

import com.alibaba.fastjson.JSONObject;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.MalformedURLException;
import java.net.URL;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/2/22
 */
public class IpUtil {

    // 获取IP对应地址 ---- 太平洋
    public static String recordIp(String ip) throws IOException {
        URL url = null;
        HttpURLConnection connection = null;
        String encoding = "gbk";
        String text = "";
        String line = "";
        String region = "";
        String urlStr = "http://whois.pconline.com.cn/ipJson.jsp?ip="+ip+"&json=true";
        try {
            url = new URL(urlStr);
            connection = (HttpURLConnection) url.openConnection();	//新建链接实例
            connection.setConnectTimeout(20000);	//设置链接超时时间，单位毫秒
            connection.setReadTimeout(20000);		//设置读取数据超时时间，单位毫秒
            connection.setDoOutput(true);		//是否打开输出流true|false
            connection.setDoInput(true);		//是否打开输入流true|false
            connection.setRequestMethod("GET");		// 提交方式get|post
            connection.setUseCaches(false);		// 是否加入缓存true|false
            connection.connect();	//打开链接端口

            BufferedReader reader = new BufferedReader(new InputStreamReader(connection.getInputStream(), encoding));	// 往对端写完数据对端服务器返回数据。以BufferedReader流来读取

            while ((line = reader.readLine()) != null) {
                text += line+"\n";
            }
            reader.close();

            JSONObject jsonObject = JSONObject.parseObject(text);
            region = jsonObject.get("addr").toString();
        } catch (MalformedURLException e) {
            e.printStackTrace();
        } finally {
            if (connection != null) {
                connection.disconnect();	//关闭连接
            }
        }
        return region;
    }

}
